### Method

# EBookContacts VCard construct_with_uid

since: 3.4

#### Declaration [src]

    void
    e_vcard_construct_with_uid (
      EVCard* evc,
      const gchar* str,
      const gchar* uid
    )

#### Description [src]

Constructs the existing `EVCard`, `evc`, setting its vCard data to `str`, and adding a new UID attribute with the value given in `uid` (if `uid` is non-`NULL`).

This modifies `evc`.

Available since: 3.4

#### Parameters

`str`

  Type: `const gchar*`

  A vCard string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`uid`

  Type: `const gchar*`

  A unique ID string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.